Subject: Re: [PATCH nf-next] netfilter: flowtable: dedicated slab for flow entry

From: Florian Westphal <[email-masked]>
Date: Thu, 29 Jan 2026 13:21:15 +0100

Qingfang Deng <[email-masked]> wrote:
> On Thu, Jan 29, 2026 at 6:26 PM Florian Westphal <[email-masked]> wrote:
> > Ok, but please use KMEM_CACHE(), we've had a bunch of patches
> > that removed kmem_cache_create() in several places, I would like
> > to avoid a followup patch.
> 
> But I'm creating a slab with a different name (`nf_flow_offload`) from
> the struct name (`flow_offload`). Should I keep the `nf_` prefix?

Then add a comment that its intentional due to the name, else
we'll get a followup 'cleanup patch' to switch to KMEM_CACHE().